
Infrastructure - Task #1258

Bug # 1252 (Closed): mimemultipart handling is buggy

flesh out unit and integration tests

2011-01-24 18:14 - Rob Nahf

Status: Closed Start date: 2011-01-24

Priority: High Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2011.05   

Milestone:  Story Points:  

Product Version: *   

Description

unit tests for client-side methods are mostly written (echo testing against independent server)

Integration tests 

Related issues:

Related to Infrastructure - Story #1271: Refactor d1_libclient_java to work w... Closed 2011-01-28

History

#1 - 2011-02-03 18:57 - Rob Nahf

- Category changed from d1_common_java to d1_libclient_java

- Status changed from New to In Progress

- Priority changed from Normal to High

- % Done changed from 0 to 90

worked out compatibility issues between new httpClient and server side requestResolver related to mulitpart handling.

Wrote new integration test class  SimpleAPITest - which organizes tests differently to preserve sessionId's.  It links the tests a bit, but greatly speeds

up performance.

#2 - 2011-02-03 19:07 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

integration tests independent of D1 services require a server-side implementation or conversely a reliance on d1_libclient_java, so will use existing

D1_integration.D1ClientTest tests for now.
